GET /inbox/conversations

Direct-message conversations of this organization (Instagram, Messenger, WhatsApp, X), latest message first. Filled by inbound webhooks and POST /inbox/conversations/sync

GET
/inbox/conversations

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

accountId?string

Only this account

platform?string

Only this platform

Value in"instagram""facebook""whatsapp""x"
status?string

Only this status

Value in"active""archived"
unread?string

true: only conversations with unread messages; false: only read ones

Value in"true""false"
limit?integer

Maximum items (default 25, max 100)

Range1 <= value <= 100
Default25
cursor?string

nextCursor of the previous page

Response Body

{conversations, nextCursor}

application/json
  1. response
conversations?array<>
nextCursor?|

Pass as cursor for the next page

Example Request
curl -X GET 'https://example.com/api/v1/inbox/conversations'
Example Response
{  "conversations": [    {      "id": "string",      "accountId": "string",      "platform": "instagram",      "platformConversationId": "string",      "participant": {        "id": "string",        "username": "string",        "name": "string",        "pictureUrl": "string",        "phone": "string",        "userId": "string",        "parentUserId": "string"      },      "lastMessage": {        "text": "string",        "direction": "inbound",        "at": "2019-08-24T14:15:22Z"      },      "unreadCount": 0,      "lastReadAt": "2019-08-24T14:15:22Z",      "participantReadAt": "2019-08-24T14:15:22Z",      "status": "active",      "messagingWindow": {        "open": true,        "closesAt": "2019-08-24T14:15:22Z",        "humanAgentClosesAt": "2019-08-24T14:15:22Z"      },      "syncedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string"}